Package org.fife.ui.rsyntaxtextarea

## Class RSyntaxTextAreaDefaultInputMap

- java.lang.Object
- - javax.swing.InputMap
  - - org.fife.ui.rtextarea.RTADefaultInputMap
    - - org.fife.ui.rsyntaxtextarea.RSyntaxTextAreaDefaultInputMap

- All Implemented Interfaces:
    `Serializable`

      public class RSyntaxTextAreaDefaultInputMap
      extends RTADefaultInputMap

  The default input map for an `RSyntaxTextArea`. Currently, the new key bindings include:
  - Shift+Tab indents the current line or currently selected lines to the left.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RSyntaxTextAreaDefaultInputMap()` | Constructs the default input map for an `RSyntaxTextArea`.

  - ### Method Summary

    - ### Methods inherited from class org.fife.ui.rtextarea.RTADefaultInputMap

      `getDefaultModifier`

    - ### Methods inherited from class javax.swing.InputMap

      `allKeys, clear, get, getParent, keys, put, remove, setParent, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSyntaxTextAreaDefaultInputMap

          public RSyntaxTextAreaDefaultInputMap()

      Constructs the default input map for an `RSyntaxTextArea`.